## org.gnu.gdk
Class Colormap

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.Colormap

public class Colormap
extends GObject

This object stores the mapping between the color values stored in memory and the RGB values that are used to display color values.

Constructor Summary
`Colormap()` Create a Colormap initialized to the system's default colormap.
`Colormap(org.gnu.glib.Handle handle)` Create a new Colormap from a handle to a native resource.
`Colormap(Visual v, boolean allocate)` Creates a new colormap for the given visual.

Method Summary
`boolean` `allocateColor(Color color, boolean writable, boolean bestMatch)` Allocates a single color from a colormap.
`boolean[]` `allocateColors(Color[] colors, boolean writable, boolean bestMatch)` Allocates colors from a colormap.
`void` `freeColors(Color[] colors)` Frees previously allocated Colors.
`static Colormap` `getColormapFromHandle(org.gnu.glib.Handle hndl)` Internal static factory method to be used only by Java-Gnome.
`Color[]` `getColors()` Retrieve all of the Colors associated with the Colormap.
`Screen` `getScreen()` Returns the screen for which the colormap was created.
`static Colormap` `getSystem()` Returns the system's default colormap.
`Type` `getType()`
`Visual` `getVisual()` Returns the visual for which the colormap was created.
`Color` `queryColor(long pixel)` Locates the RGB color corresponding to the given hardware pixel.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Colormap

    public Colormap()

  Create a Colormap initialized to the system's default colormap.

### Colormap

    public Colormap(org.gnu.glib.Handle handle)

  Create a new Colormap from a handle to a native resource.

### Colormap

    public Colormap(Visual v,
                    boolean allocate)

  Creates a new colormap for the given visual. If allocate is true the newly created colormap will be a private colormap, and all colors in it will be allocated for the application use.

Method Detail

### getSystem

    public static Colormap getSystem()

  Returns the system's default colormap.

### getVisual

    public Visual getVisual()

  Returns the visual for which the colormap was created.

### getScreen

    public Screen getScreen()

  Returns the screen for which the colormap was created.

### allocateColor

    public boolean allocateColor(Color color,
                                 boolean writable,
                                 boolean bestMatch)

  Allocates a single color from a colormap.

  Parameters:
    `color` - The color to allocate
    `writable` - If true the color is allocated writable.
    `bestMatch` - If true GDK will attempt to do matching against existing colors if the color cannot be allocated as requested.

### allocateColors

    public boolean[] allocateColors(Color[] colors,
                                    boolean writable,
                                    boolean bestMatch)

  Allocates colors from a colormap.

  Parameters:
    `colors` -
    `writable` -
    `bestMatch` -

### freeColors

    public void freeColors(Color[] colors)

  Frees previously allocated Colors.

  Parameters:
    `colors` -

### queryColor

    public Color queryColor(long pixel)

  Locates the RGB color corresponding to the given hardware pixel. The pixel must be a valid pixel in the colormap.

  Parameters:
    `pixel` -

### getColors

    public Color[] getColors()

  Retrieve all of the Colors associated with the Colormap.

### getType

    public Type getType()

### getColormapFromHandle

    public static Colormap getColormapFromHandle(org.gnu.glib.Handle hndl)

  Internal static factory method to be used only by Java-Gnome.